*{
    padding: 0;
    margin: 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
}
a{
    text-decoration: none;
}
ul{
    list-style: none;
}
:root{
    --main-color: #10cab7;
    --secondary-color: #2c4755;
    --section-background: #f6f6f6;
    --white: #fff;
    --black: #000;
    --section-padding: 80px 0;
}
.container{
    padding: 0 50px;
}
section h1.heading{
    font-size: 100px;
    text-align: center;
    text-transform: capitalize;
    color: rgba(128, 128, 128, 0.143);
}
@media(max-width: 767px){
    section h1.heading{
        font-size: 70px;
    }
}
section p.upper_paragraph{
    text-align: center;
    font-size: 20px;
    font-weight: normal;
    letter-spacing: 2px;
    transform: translateY(-30px)
}
/* start navigation bar */
nav#navigation_bar{
    background-color: var(--white);
    width: 100%;
    top: 0;
    left: 0;
    position: fixed;
    z-index: 1000;
    padding: 15px 0;
    box-shadow: 1px 3px 5px 1px rgba(115,109,109,0.77);
}
nav#navigation_bar .container{
    display: flex;
    align-items: center;
    justify-content: space-between;
}
nav#navigation_bar .container a.logo img{
    width: 80px;
}
nav#navigation_bar .container .right_side{
    display: flex;
    align-items: center;
}
nav#navigation_bar .container ul.navigation_links{
    display: flex;
    align-items: center;
}
nav#navigation_bar .container ul.navigation_links >li{
    margin-left: 35px;
}
nav#navigation_bar .container ul.navigation_links > li > a{
    color: var(--black);
    text-transform: capitalize;
    transition: color 0.5s linear;
}
@media(min-width: 767px){
    nav#navigation_bar .container ul.navigation_links > li > a:hover{
    color: var(--main-color);
}
}
@media(max-width: 767px){
    nav#navigation_bar .container .right_side{
        position: relative;
    }
    nav#navigation_bar .container button#bars{
        all: unset;
        cursor: pointer;
        width: 30px;
        direction: rtl;
    }
    nav#navigation_bar .container button#bars span{
        display: block;
        width: 100%;
        height: 2px;
        background-color: var(--black);
        margin-bottom: 5px;
    }
    nav#navigation_bar .container button#bars span:nth-child(2){
        width: 75%;
        margin-right: 0;
        transition: width 0.5s linear;
    }
    nav#navigation_bar .container button#bars:hover span{
        width: 100%;
    }
    nav#navigation_bar .container ul.navigation_links{
        flex-direction: column;
        position: absolute;
        align-items: stretch;
        right: 0;
        top: 100%;
        background-color: var(--section-background);
        visibility: hidden;
        transition: visibility 0.5s linear;
    }
    nav#navigation_bar .container ul.navigation_links > li{
        padding: 10px 160px 10px 10px;
        border-bottom: 1px solid #2c47555a;
        margin-left: 0;
    }
    nav#navigation_bar .container ul.navigation_links > li:last-child{
        border: 0;
    }
    nav#navigation_bar .container ul.navigation_links > li a{
        transition: transform 0.5s linear;
        display: block;
    }
     nav#navigation_bar .container ul.navigation_links > li:hover a{
        transform: translateX(15px);
     }
    nav#navigation_bar .container .right_side:hover  ul.navigation_links{
        visibility: visible;
    }
}
/* end navigation bar */

/* start hero section */
section#hero_section{
    position: static;
    background-image: url("../images/landing.jpg");
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center center;
    width: 100%;
    height: 100vh;
}
section#hero_section .container{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}
section#hero_section .container .text-content h1{
    color: var(--main-color);
    margin-bottom: 20px;
    font-size: 80px;
}
@media(max-width: 600px){
   section#hero_section .container .text-content h1{
    font-size: 50px;
   }
}
section#hero_section .container .text-content p{
    font-size: 19px;
    font-weight: normal;
    line-height: 30px;
}
/* end hero section */

/* start row section */
section#row_section{
    padding: var(--section-padding);
    background-color: var(--section-background);
}
section#row_section .container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
}
@media (max-width: 767px) {
    section#row_section .container {
        grid-template-columns: 1fr;
    }
}
section#row_section .container .col{
    text-align: center;
    margin-bottom: 50px;
}
section#row_section .container .col span i{
    color: var(--main-color);
}
section#row_section .container .col h3{
    margin: 20px 0;
}
section#row_section .container .col p{
    color: var(--secondary-color);
    line-height: 25px;
}
/* end row section */

/* start services section */
section#services{
    padding: var(--section-padding);
}
section#services .container{
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
    margin-top: 40px;
}
@media(max-width: 1118px){
    section#services .container{
        flex-direction: column;
    }
}
section#services .container .cards{
    flex: 3;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 40px;
}
section#services .container .cards .card{
    display: flex;
    align-items: flex-start;
    gap: 30px;
}
@media(max-width: 767px){
    section#services .container .cards .card{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
}
section#services .container .cards .card span.card_icon i{
    color: var(--main-color);
}
section#services .container .cards .card .card_text_content p{
    margin-top: 14px;
    color: var(--secondary-color);
    line-height: 30px;
}
section#services .container .image{
    flex: 1;
    position: relative;
}
section#services .container .image img{
    width: 100%;
}
section#services .container .image::before{
    content: "";
    position: absolute;
    width: 80px;
    height: 110%;
    background-color: var(--secondary-color);
    top: -5%;
    right: -40px;
    z-index: -1;
}
/* end services section */

/* start portfolio section */
section#portfolio{
    background-color: var(--section-background);
    padding: var(--section-padding);
}
section#portfolio .cards{
    margin-top: 40px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
}
section#portfolio .cards .card{
    background-color: var(--white);
    padding-bottom: 20px;
}
section#portfolio .cards .card .card_text_content{
    padding: 20px;
}
section#portfolio .cards .card .card_text_content p{
    line-height: 30px;
    color: var(--secondary-color);
}
section#portfolio .cards .card img{
    width: 100%;
}
/* end portfolio section */

/* start about section */
section#about{
    padding: var(--section-padding);
}
section#about .container .about_body_content{
    margin-top: 40px;
    display: flex;
    gap: 100px;
    align-items: center;
}
@media(max-width: 767px){
    section#about .container .about_body_content{
        flex-direction: column;
    }
}
section#about .container .about_body_content .image{
    flex: 1;
    position: relative;
}
section#about .container .about_body_content .image::before,
section#about .container .about_body_content .image::after{
    content: "";
    position: absolute;
}
section#about .container .about_body_content .image::before{
    background-color: #d9d8d8;
    width: 80px;
    height: 110%;
    left: -40px;
    top: -5%;
    z-index: -1;
}
section#about .container .about_body_content .image::after{
    background-color: var(--main-color);
    width: 80px;
    height: 110%;
    right: -40px;
    top: -5%;
    z-index: -1;
}
section#about .container .about_body_content .image img{
    width: 100%;
}
section#about .container .about_body_content .text_content{
    flex: 3;
}
section#about .container .about_body_content .text_content p:first-child{
    margin-bottom: 50px;
    padding-bottom: 50px;
    font-size: 18px;
    line-height: 30px;
    position: relative;
}
section#about .container .about_body_content .text_content p:first-child::before{
    content: "";
    position: absolute;
    width: 250px;
    height: 2px;
    background-color: var(--main-color);
    bottom: 0;
    left: 0;
}
section#about .container .about_body_content .text_content p:last-child{
    font-size: 18px;
    line-height: 30px;
    color: var(--secondary-color);
}
/* end about section */

/* start contact section */
section#contact{
    background-color: var(--section-background);
    padding: var(--section-padding);
}
section#contact .container{
    margin-top: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
}
section#contact .container .contact_content{
    text-align: center;
}
section#contact .container .contact_content h1{
    color: var(--secondary-color);
    margin-bottom: 8px;
}
section#contact .container .contact_content a.email{
    color: var(--main-color);
    font-size: 30px;
}
section#contact .container .contact_content .line{
    display: flex;
    align-items: center;
    gap: 12px;
    justify-content: center;
    margin-top: 12px;
}
section#contact .container .contact_content .line ul.social{
    display: flex;
    gap: 10px;
}
section#contact .container .contact_content .line ul.social li a i{
    color: var(--secondary-color);
    transition: color 0.5s linear;
}
section#contact .container .contact_content .line ul.social li a i:hover{
    color: var(--main-color);
}
/* end contact section */
/* start footer */
footer{
    background-color: var(--secondary-color);
    padding: 20px 0;
}
footer .container{
    display: flex;
    justify-content: center;
}
footer .container p{
    color: var(--white);
}
footer .container p span{
    color: var(--main-color);
    text-transform: uppercase;
}
/* end footer */